local L = AceLibrary("AceLocale-2.2"):new("TopScoreFu")

L:RegisterTranslations("enUS", function()
	return {
		["NAME"] = "FuBar - Top ScoreFu",
		["DESCRIPTION"] = "Keeps track of your top hits, heals, criticals, etc.",
		["COMMANDS"] = {"/topfu", "/tsfu", "/topscorefu"},

		["ARGUMENT_SHOWSPLASH"] = "showSplash",
		["ARGUMENT_PLAYNOISE"] = "playNoise",
		["ARGUMENT_SCREENSHOT"] = "screenshot",
		["ARGUMENT_HEALING"] = "healing",
		["ARGUMENT_DAMAGE"] = "damage",
		["ARGUMENT_ONLYPVP"] = "onlyPvP",
		["ARGUMENT_RESET"] = "reset",
		["ARGUMENT_POSITION"] = "position",
		["ARGUMENT_SHOWTRIVIAL"] = "trivial",

		["MENU_SHOW_SPLASH"] = "Show splash",
		["MENU_PLAY_NOISE"] = "Play noise",
		["MENU_TAKE_SCREENSHOTS"] = "Take screenshots",
		["MENU_INCLUDE_HEALING"] = "Include healing",
		["MENU_INCLUDE_DAMAGE"] = "Include damage",
		["MENU_VS_MONSTERS"] = "vs. Monsters",
		["MENU_RESET_SCORES"] = "Reset scores",
		["MENU_SHOW_TRIVIAL"] = "Trivial scores",
		["MENU_FILTER"] = "Filter",
		["MENU_PURGE"] = "Purge",
	
		["TEXT_NORMAL"] = "Normal",
		["TEXT_CRITICAL"] = "Critical",
		["PATTERN_NORMAL_SPELL"] = "%s",
		["PATTERN_CRITICAL_SPELL"] = "Critical %s",
		["TEXT_SCORES_RESET"] = "Scores reset",
		["TEXT_SET_POSITION_ERROR"] = "You must give the position in the form of `x y`, where x and y are numbers.",

		["HINT"] = "Shift-Click to insert your highest scores in chat edit box.\nHint: Click a spell to insert its score.",

		["PATTERN_NEW_CRITICAL_RECORD"] = "New critical %s record!\n|cffffffff%d|r",
		["PATTERN_NEW_NORMAL_RECORD"] = "New %s record!\n|cffffffff%d|r",
		["PATTERN_SET_POSITION"] = "Position now %d, %d",
	}
end)

L:RegisterTranslations("deDE", function()
	return {
		["NAME"] = "FuBar - Top ScoreFu",
		["DESCRIPTION"] = "Protokolliert Eure h\195\182chsten Treffer, h\195\182chste Heilung, h\195\182chsten kritischen Treffer, etc.",
		["COMMANDS"] = {"/topfu", "/tsfu", "/topscorefu"},

		["ARGUMENT_SHOWSPLASH"] = "showSplash",
		["ARGUMENT_PLAYNOISE"] = "playNoise",
		["ARGUMENT_SCREENSHOT"] = "screenshot",
		["ARGUMENT_HEALING"] = "healing",
		["ARGUMENT_DAMAGE"] = "damage",
		["ARGUMENT_ONLYPVP"] = "onlyPvP",
		["ARGUMENT_RESET"] = "reset",
		["ARGUMENT_POSITION"] = "position",
		["ARGUMENT_SHOWTRIVIAL"] = "trivial",

		["MENU_SHOW_SPLASH"] = "Zeige Einblendung",
		["MENU_PLAY_NOISE"] = "Sound abspielen",
		["MENU_TAKE_SCREENSHOTS"] = "Screenshot anfertigen",
		["MENU_INCLUDE_HEALING"] = "Heilung einbeziehen",
		["MENU_INCLUDE_DAMAGE"] = "Schaden einbeziehen",
		["MENU_VS_MONSTERS"] = "Treffer gegen Monster",
		["MENU_RESET_SCORES"] = "Werte zur\195\188cksetzen",
		["MENU_SHOW_TRIVIAL"] = "Ergebnisse bei grauen Zielen",
		["MENU_FILTER"] = "Filter", 
		["MENU_PURGE"] = "Entfernen", 

		["TEXT_NORMAL"] = "Normal",
		["TEXT_CRITICAL"] = "Kritisch",
		["PATTERN_NORMAL_SPELL"] = "%s",
		["PATTERN_CRITICAL_SPELL"] = "kritische/r %s",
		["TEXT_SCORES_RESET"] = "Werte zur\195\188ckgesetzt",
		["TEXT_SET_POSITION_ERROR"] = "Die Position muss in der Form `x y` angegeben werden, wobei x und y Zahlen sind.",

		["HINT"] = "Shift-Linksklick f\195\188gt Eure Rekorde in die Chat-Eingabezeile ein.",

		["PATTERN_NEW_CRITICAL_RECORD"] = "Neuer Crit-Rekord mit %s !\n|cffffffff%d|r",
		["PATTERN_NEW_NORMAL_RECORD"] = "Neuer Rekord mit %s !\n|cffffffff%d|r",
		["PATTERN_SET_POSITION"] = "Position auf %d, %d eingestellt",
	}
end)

L:RegisterTranslations("frFR", function()
	return {
		["NAME"] = "FuBar - Top ScoreFu",
		["DESCRIPTION"] = "Garde une trace de vos records de vos soins, coups, etc.",
		["COMMANDS"] = {"/topfu", "/tsfu", "/topscorefu"},

		["ARGUMENT_SHOWSPLASH"] = "Montrer Splash",
		["ARGUMENT_PLAYNOISE"] = "Jouer Son",
		["ARGUMENT_SCREENSHOT"] = "Screenshot",
		["ARGUMENT_HEALING"] = "Soins",
		["ARGUMENT_DAMAGE"] = "Dommage",
		["ARGUMENT_ONLYPVP"] = "SeulementPvP",
		["ARGUMENT_RESET"] = "Reset",
		["ARGUMENT_POSITION"] = "Position",
		["ARGUMENT_SHOWTRIVIAL"] = "Trivial",

		["MENU_SHOW_SPLASH"] = "Splash Ecran",
		["MENU_PLAY_NOISE"] = "Jouer son",
		["MENU_TAKE_SCREENSHOTS"] = "Faire screenshots",
		["MENU_INCLUDE_HEALING"] = "Inclus Soins",
		["MENU_INCLUDE_DAMAGE"] = "Inclus dommage",
		["MENU_VS_MONSTERS"] = "vs. Monstres",
		["MENU_RESET_SCORES"] = "Remise \195\160 zero",
		["MENU_SHOW_TRIVIAL"] = "Trivial scores",
		["MENU_FILTER"] = "Filtre", -- CHECK
		["MENU_PURGE"] = "Purge", -- CHECK

		["TEXT_NORMAL"] = "Normal",
		["TEXT_CRITICAL"] = "Critique",
		["PATTERN_NORMAL_SPELL"] = "%s",
		["PATTERN_CRITICAL_SPELL"] = "Critique %s",
		["TEXT_SCORES_RESET"] = "Remise \195\160 zero",
		["TEXT_SET_POSITION_ERROR"] = "You must give the position in the form of `x y`, where x and y are numbers.",

		["HINT"] = "Shift-Click pour mettre votre meilleur score dans la boite de chat.",

		["PATTERN_NEW_CRITICAL_RECORD"] = "Nouveau record critique pour %s!\n|cffffffff%d|r",
		["PATTERN_NEW_NORMAL_RECORD"] = "Nouveau record pour %s!\n|cffffffff%d|r",
		["PATTERN_SET_POSITION"] = "Position actuelle %d, %d",
	}
end)

L:RegisterTranslations("zhTW", function()
	return {
		["NAME"] = "FuBar - 紀錄",
		["DESCRIPTION"] = "追蹤記錄你的傷害、治療、致命一擊等紀錄。",
		["COMMANDS"] = {"/topfu", "/tsfu", "/topscorefu"},

		["ARGUMENT_SHOWSPLASH"] = "顯示跳躍文字",
		["ARGUMENT_PLAYNOISE"] = "聲音提示",
		["ARGUMENT_SCREENSHOT"] = "抓圖",
		["ARGUMENT_HEALING"] = "治療量",
		["ARGUMENT_DAMAGE"] = "傷害",
		["ARGUMENT_ONLYPVP"] = "只紀錄PvP",
		["ARGUMENT_RESET"] = "重置",
		["ARGUMENT_POSITION"] = "位置",
		["ARGUMENT_SHOWTRIVIAL"] = "trivial",

		["MENU_SHOW_SPLASH"] = "顯示訊息",
		["MENU_PLAY_NOISE"] = "提示音",
		["MENU_TAKE_SCREENSHOTS"] = "自動抓圖",
		["MENU_INCLUDE_HEALING"] = "包含治療",
		["MENU_INCLUDE_DAMAGE"] = "包含傷害",
		["MENU_VS_MONSTERS"] = "只記錄對怪物戰鬥",
		["MENU_RESET_SCORES"] = "重置紀錄",
		["MENU_SHOW_TRIVIAL"] = "顯示次要紀錄",
		["MENU_FILTER"] = "過濾",
		["MENU_PURGE"] = "合併",
	
		["TEXT_NORMAL"] = "普通",
		["TEXT_CRITICAL"] = "致命",
		["PATTERN_NORMAL_SPELL"] = "%s",
		["PATTERN_CRITICAL_SPELL"] = "致命 %s",
		["TEXT_SCORES_RESET"] = "紀錄重置",
		["TEXT_SET_POSITION_ERROR"] = "必須用 x y 的格式設置位置，x和y都是數字。",

		["HINT"] = "Shift-Click在聊天輸入框中插入你的最高紀錄.",

		["PATTERN_NEW_CRITICAL_RECORD"] = "新 %s 爆擊記錄!\n|cffffffff%d|r",
		["PATTERN_NEW_NORMAL_RECORD"] = "新 %s 紀錄!\n|cffffffff%d|r",
		["PATTERN_SET_POSITION"] = "位置設定為：%d, %d",
	}
end)
